<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [createCorporation](./bitburner.corporation.createcorporation.md)

## Corporation.createCorporation() method

Create a Corporation

<b>Signature:</b>

```typescript
createCorporation(corporationName: string, selfFund: boolean): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  corporationName | string |  |
|  selfFund | boolean | If you should self fund, defaults to true, false will only work on Bitnode 3 |

<b>Returns:</b>

boolean

true if created and false if not

